
#include "dhash.h"
  
chordID
init_chordID (str name, int index, str addr, int port)
{
  chordID ID;
  str ids = addr;
  ids = ids << "." << port << "." << index;
  char id[sha1::hashsize];
  sha1_hash (id, ids, ids.len());
  mpz_set_rawmag_be (&ID, id, sizeof (id));  // For big endian
  warnx << name << ": " << ID << "\n";
  return ID;
}

int
main (int argc, char **argv)
{
  if (argc != 4) {
    warn << "usage: " << argv[0] << " hostname port virtual_node_id\n";
    return -1;
  }

  str hostname = argv[1];
  int port = atoi (argv[2]);
  int vid = atoi (argv[3]);

  init_chordID (hostname, vid, hostname, port);
  return 0;
}

