#!/usr/bin/perl -w

# create and remove file
system "touch x$$";
unlink "x$$";
-f "x$$" and die "x$$ shouldn't exist\n";

# move file to a directory should work
mkdir("x$$", 0755);
system "touch y$$";
system "mv y$$ x$$";
-f "x$$/y$$" or die "couldn't move file to a directory\n";
-f "y$$" and die "y$$ is still there\n";

# remove non-empty dir should fail
rmdir "x$$" and die "dir x$$ is not empty\n";

# remove empty dir should succeed
unlink "x$$/y$$";
rmdir "x$$" or die "couldn't remove dir x$$\n";

# renaming to a file that exists should work correctly
system "touch x$$ y$$";
rename "y$$", "x$$";
-f "y$$" and die "y$$ still exists\n";
-f "x$$" or die "x$$ does not exist after rename\n";

exit 0;
